# std::filesystem::directory_entry::is_symlink

From cppreference.com
< cpp‎ | filesystem‎ | directory entry

bool is_symlink() const; bool is_symlink( std::error_code& ec ) const noexcept; |  | (since C++17)

Checks whether the pointed-to object is a symlink. Effectively returns std::filesystem::is_symlink(symlink_status()) or std::filesystem::is_symlink(symlink_status(ec)), respectively

### Parameters

ec | - | out-parameter for error reporting in the non-throwing overload

### Return value

true if the referred-to filesystem object is a symlink, false otherwise.

### Exceptions

The overload that does not take a std::error_code& parameter throws `filesystem_error` on underlying OS API errors, constructed with `p` as the first path argument and the OS error code as the error code argument. The overload taking a std::error_code& parameter sets it to the OS API error code if an OS API call fails, and executes ec.clear() if no errors occur. Any overload not marked `noexcept` may throw std::bad_alloc if memory allocation fails.

### Example

| This section is incomplete Reason: no example

### See also

is_symlink (C++17) | checks whether the argument refers to a symbolic link (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/directory_entry/is_symlink&oldid=105010"